#import "ARStorage.h"

@implementation ARStorage

- init
{
   [super init];
   retainCount = 1;
   return self;
}

- initCount: (unsigned int) c elementSize: (unsigned int) s description: (const char *)str
{
   [super initCount: c elementSize: s description: str];
   retainCount = 1;
   return self;
}

- incrementRetainCount
{
   retainCount++;
   return self;
}

- decrementRetainCount
{
   retainCount--;
   return self;
}

- (unsigned int) retainCount
{
   return retainCount;
}

@end
