#import "Boolean.h"

@implementation Boolean

- init
{
   [super init];
   delegate = nil;
   [self setBoolState: NO];
   return self;
}

- (void) setBoolState: (BOOL) aValue
{
   if(aValue != boolState)
   {
      boolState = aValue;
      if(delegate && [delegate respondsTo: @selector(boolStateSetTo:)])
	  [delegate boolStateSetTo: aValue];
   }
}

- (BOOL) boolState
{
   return boolState;
}

- setDelegate: anObject
{
   delegate = anObject;
   return self;
}

- delegate
{
   return delegate;
}


@end
