#import <appkit/appkit.h>
#import "MailSpeaker.h"
#import <mach/mach.h>
#import <mach/message.h>
#import <servers/netname.h>
extern port_t name_server_port;
extern id NXResponsibleDelegate();
@implementation  MailSpeaker :Speaker
{}
-(int)openSend
/* */
{
return [self selectorRPC:"openSend"
	paramTypes:""];
}
-(int)setTo : (char *) aString
/* */
{
return [self selectorRPC:"setTo:"
	paramTypes:"c",
		aString];
}
-(int)setSubject : (char *) aString
/* */
{
return [self selectorRPC:"setSubject:"
	paramTypes:"c",
		aString];
}
-(int)setCc : (char *) aString
/* */
{
return [self selectorRPC:"setCc:"
	paramTypes:"c",
		aString];
}
-(int)setBody : (char *) aString
/* */
{
return [self selectorRPC:"setBody:"
	paramTypes:"c",
		aString];
}
-(int)deliver
/* */
{
return [self selectorRPC:"deliver"
	paramTypes:""];
}
-(int)openSend : (int *) mailWindowNumPtr
/* */
{
return [self selectorRPC:"openSend:"
	paramTypes:"I",
		mailWindowNumPtr];
}
-(int)setTo : (char *) aString
	inWindow : (int) mailWindowNum
/* */
{
return [self selectorRPC:"setTo:inWindow:"
	paramTypes:"ci",
		aString,
		mailWindowNum];
}
-(int)setSubject : (char *) aString
	inWindow : (int) mailWindowNum
/* */
{
return [self selectorRPC:"setSubject:inWindow:"
	paramTypes:"ci",
		aString,
		mailWindowNum];
}
-(int)setCc : (char *) aString
	inWindow : (int) mailWindowNum
/* */
{
return [self selectorRPC:"setCc:inWindow:"
	paramTypes:"ci",
		aString,
		mailWindowNum];
}
-(int)setBody : (char *) aString
	inWindow : (int) mailWindowNum
/* */
{
return [self selectorRPC:"setBody:inWindow:"
	paramTypes:"ci",
		aString,
		mailWindowNum];
}
-(int)deliver : (int) mailWindowNum
/* */
{
return [self selectorRPC:"deliver:"
	paramTypes:"i",
		mailWindowNum];
}
@end
