#import <appkit/appkit.h>
#import <time.h>
#import <dpsclient/dpsNeXT.h>


@interface Controller:Object
{
    id logPanel;
    id logText;
    id meterPanel;
    id total;
    id session;
    id upDownView;
    id lastReset;
    id _defaults;
    id _logProcess;
    id _sound;
    id _connectionStatus;
    id _currentHostName;
    id _totalTimeDWrite;
    id _startDWrite;
    id _lastResetDWrite;
    id hosts;
    id stats;
    time_t totalTime;
    DPSTimedEntry ticker;
    BOOL up;
    BOOL raising;
}

- init;
- awakeFromNib;

- start: sender;
- startHost: sender;
- startDefault: sender;
- setHost: sender;
- stop: sender;
- openLog:sender;
- updateCounters: sender;
- resetCounters: sender;
- showStats: sender;
- (void) setLastResetDate: (time_t) atime;
- (void) initUpStatus;
- (void) setIsUp: (BOOL) aValue since: (time_t) aTime;

- (const char *) currentHostName;
- (void) setCurrentHostName: (const char *)aHost;
- (const char *) totalTimeDWrite;
- (const char *) startDWrite;
- (const char *) lastResetDWrite; 

@end

@interface Controller (ControllerAppDelegate)

- appDidInit: sender;
- appWillTerminate: sender;

@end

@interface Controller (ControllerSubprocessDelegate)

- subprocessDone;
- subprocessOutput:(char *)buf;

@end

@interface Controller (ControllerBooleanDelegate)

- (void) boolStateSetTo: (BOOL) aValue;

@end

